package org.linlinjava.jz.db.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.linlinjava.jz.db.dto.BuiltlistReportDto;
import org.linlinjava.jz.db.dto.ConsultTypeReport;
import org.linlinjava.jz.db.dto.TicketReportDto;

public interface JzReportMapper {

	List<BuiltlistReportDto> selectBuiltlistReport(@Param("campaignId") Integer campaignId,
			@Param("startTime") String startTime, @Param("endTime") String endTime);

	List<TicketReportDto> selectTicketReport(@Param("startTime") String startTime, @Param("endTime") String endTime);
	
	List<ConsultTypeReport> ticketConsultTypeReport(@Param("campaignId") Integer campaignId,
			@Param("startTime") String startTime, @Param("endTime") String endTime);
}
