package org.linlinjava.jz.db.dto.hm;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class HmCommentDto {

    @NotNull(message = "三者关系id不能为空")
    private Long employRelationId;//三者关系id
    /**
     * 关联业务id
     * 首次拜访完成后评价  hm_butler_task_parent
     * 跟进类任务完成评价  built_list
     * 保姆每日任务完成评价  hm_employ_clock
     */
    @NotNull(message = "业务关联id不能为空")
    private Long rId;//业务关联id

    @NotNull(message = "类型不能为空")
    private int rType;// 类型 HmCommentEnum

    @NotNull(message = "评分星级不能为空")
    private int star;//星级

    @NotBlank(message = "评论内容不能为空")
    private String comments;//评论内容
    private String remark;

}
