package org.linlinjava.jz.db.dto.hm;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author fuxubing
 */
@Data
public class HmSetTaskItemDTO {
    //@NotNull(message = "订单id不能为空")
    private Long id;
    
    private String orderNo;

    @NotNull(message = "任务类型不能为空")
    private Integer taskType;
    
    //拜访类子任务id
    private Long childTaskId;

    @Valid
    private List<TaskItem> taskItems;

    @Data
    public static class TaskItem {
        @NotNull(message = "种类id不能为空")
        private Long categoryId;
        @Valid
        private List<Item> itemIds;
    }

    @Data
    public static class Item {
    	@NotNull(message = "itemId不能为空")
        private Long itemId;
        @NotNull(message = "是否选择不能为空")
        private Integer choose;
    }
}
