package org.linlinjava.jz.db.dto.hm;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Data
public class HmUserServiceInfo {
    private String customerName;
    private String customerPhone;
    private String servantName;
    private String serviceAddress;// 服务地址
    private LocalDateTime firstServiceTime;// 首次服务时间

    private String salaryType;// 发薪类型
    private Long salaryAmount;// 发薪金额
    private Integer payDate;// 发薪日期
    private Float holidaySalaryMultiple;// 法定节假日薪资倍数

    private Float offMultiple;//休息日加班薪资倍数

    private String restDay;// 休息日
    private int isNeedClock;// 是否需要打卡 1要，0不要
    private String everyDayTask;// 每日任务
    private String everyWeekTask;// 每周任务
    private String everyMonthTask;// 每月任务

    private List<Map<String, Object>> dayTaskMap;
    private List<Map<String, Object>> weekTaskMap;
    private List<Map<String, Object>> monthTaskMap;

    private String orderNo;//给前端做参数

}
