package org.linlinjava.jz.admin.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import org.linlinjava.jz.admin.converter.CityConverter;

/**
 * @author fuxubing
 */
@Data
public class CustomerExcelModel {
    @ExcelProperty(value = "手机号", index = 0)
    private String tel;
    @ExcelProperty(value = "客户名称", index = 1)
    private String customerName;
    @ExcelProperty(value = "业务城市", index = 2,converter = CityConverter.class)
    private Long city;
    @ExcelProperty(value = "备注", index = 3)
    private String remark;
}
