package org.linlinjava.jz.db.dto.hm;

import javax.validation.constraints.NotNull;

import lombok.Data;

@Data
public class HmVisitClockDto {
	
	@NotNull(message="地址不能为空")
	private String address;
	
	@NotNull(message="经纬度不能为空")
	private String latLgt;
	
	@NotNull(message="上门备注不能为空")
	private String comment;
	
	@NotNull(message="三者关系id不能为空")
	private Long employRelationId;
	
	@NotNull(message="任务消息id不能为空")
	private Integer noticeId;
}
